/******************************************************************************
   App.c
   The application.
******************************************************************************/
#include <MC9S12E128.h>  // Derivative information
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include "App.h"


// Global Variables

// Variables used by thread 1
static tPointerFcn Th1FuncPtr = Th1Func1;  // Starting state


// Variables used by thread 2
static tPointerFcn Th2FuncPtr = Th2Func1;


// Variables used by thread 3
static tPointerFcn Th3FuncPtr = Th3Func1;



/*****************************************************************************/
// THREAD 1
/*****************************************************************************/
/******************************************************************************
   Thread 1 State Machine */

// Call this function in main loop
void GoToThread1(void)
{
  Th1FuncPtr();  // Use the function pointer to go to a state
}

/*****************************************************************************/
// Thread 1 State 1:
void Th1Func1(void)
{

}

//-----------------------------------------------------------------------------
// Thread 1 State 2: Wait for a button on the screen to be pushed
void Th1Func2(void)
{

}

//-----------------------------------------------------------------------------
// Thread 1 State 3: Wait for button 1 to be released then draw graph screen 1
void Th1Func3(void)
{

}

//-----------------------------------------------------------------------------
// Thread 1 State 4: Wait for button 2 to be released then draw graph screen 2
void Th1Func4(void)
{

}


//-----------------------------------------------------------------------------
// Thread 1 State 5: Wait for button 3 to be released then draw graph screen 3
void Th1Func5(void)
{

}


//-----------------------------------------------------------------------------
// Thread 1 State 6: Wait for button 4 to be released then draw graph screen 4
void Th1Func6(void)
{

}


//-----------------------------------------------------------------------------
// Thread 1 State 7: Wait for a button on the screen to be pushed
void Th1Func7(void)
{

}


//-----------------------------------------------------------------------------
// Thread 1 State 8: Wait for the back button to be released
void Th1Func8(void)
{

}


//-----------------------------------------------------------------------------
// Thread 1 State 9: Wait for the start button to be released
void Th1Func9(void)
{

}

//-----------------------------------------------------------------------------
// Thread 1 State 10: Wait for the stop button to be released
void Th1Func10(void)
{

}

//-----------------------------------------------------------------------------
// Thread 1 State 11:
void Th1Func11(void)
{

}

//-----------------------------------------------------------------------------
// Thread 1 State 12: Prepare timer variable
void Th1Func12(void)
{

}

//-----------------------------------------------------------------------------
// Thread 1 State 13: Wait for 11 seconds
void Th1Func13(void)
{

}


/*****************************************************************************/
// THREAD 2
/*****************************************************************************/
/******************************************************************************
   Thread 2 State Machine */

// Call this function in main loop
void GoToThread2(void)
{
  Th2FuncPtr();
}

/*****************************************************************************/
// Thread 2 State 1:
void Th2Func1(void)
{
  Th2FuncPtr = Th2Func2;  // Go to State 2
}

//-----------------------------------------------------------------------------
// Thread 2 State 2:
void Th2Func2(void)
{
  Th2FuncPtr = Th2Func1;  // Go to State 1
}


/*****************************************************************************/
// THREAD 3
/*****************************************************************************/
/******************************************************************************
   Thread 3 State Machine */

// Call this function in main loop
void GoToThread3(void)
{
  Th3FuncPtr();
}

/*****************************************************************************/
// Thread 3 State 1:
void Th3Func1(void)
{
  Th3FuncPtr = Th3Func2;  // Go to State 2
}

//-----------------------------------------------------------------------------
// Thread 3 State 2:
void Th3Func2(void)
{
  Th3FuncPtr = Th3Func1;  // Go to State 1
}

